# vispy.visuals.histogram module

class vispy.visuals.histogram.HistogramVisual(data, bins=10, color='w', orientation='h')

  Bases: `MeshVisual`

  Visual that calculates and displays a histogram of data

  Parameters:
    data array-like

      Data to histogram. Currently only 1D data is supported.

    bins int | array-like

      Number of bins, or bin edges.

    color instance of Color

      Color of the histogram.

    orientation{‘h’, ‘v’}

      Orientation of the histogram.

previous

vispy.visuals.gridmesh module

next

vispy.visuals.image module